# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'auditing/middleware/version'

Gem::Specification.new do |spec|
  spec.name          = "auditing-middleware"
  spec.version       = Auditing::Middleware::VERSION
  spec.authors       = ["daneb"]
  spec.email         = ["dane.balia@hetzner.co.za"]
  spec.summary       = %q{Logging trace events in Rack Middleware}
  spec.homepage      = "https://github.com/hetznerZA/auditing_middleware"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.5", '>= 3.5.0'
  spec.add_development_dependency "rack", "~> 1.6",  '>= 1.6.4'
  spec.add_development_dependency "byebug", "~> 9.0", '>= 9.0.5'
  spec.add_dependency "soar_aspects", "~> 0.1.2"
  spec.add_dependency "soar_auditor_api", "~> 0.0.12"
end
